#!/usr/bin/env bash

# RaveOS Setup Script

bold=$(tput bold)      # ${bold}
normal=$(tput sgr0)    # ${normal}
yellow=$(tput setaf 3) # ${yellow}

# Installing packages

    sudo pacman -S gnome-terminal gnome-session gdm gnome-disk-utility gnome-system-monitor eog flatpak base-devel bash-completion firefox gedit gnome-calculator baobab ffmpeg git gnome-control-center gnome-browser-connector xdg-desktop-portal xdg-desktop-portal-gnome xdg-desktop-portal-gtk xdg-desktop-portal-wlr ttf-ubuntu-font-family gnome-settings-daemon unzip wget --noconfirm
    sudo systemctl enable gdm.service

    git clone https://aur.archlinux.org/yay-bin.git
    cd yay
    makepkg -si
    cd -
    rm -rf yay

    yay -S yaru --noconfirm

    sudo systemctl mask sleep.target suspend.target hibernate.target hybrid-sleep.target

# RaveOS Cosmetics

    gsettings set org.gnome.desktop.interface gtk-theme 'Yaru-purple-dark'
    gsettings set org.gnome.desktop.interface cursor-theme 'Yaru'
    gsettings set org.gnome.desktop.interface icon-theme 'Yaru-purple-dark'
    gsettings set org.gnome.desktop.sound theme-name 'Yaru'
    gsettings set org.gnome.desktop.screensaver lock-enabled false
    gsettings set org.gnome.desktop.session idle-delay 0
    gsettings set org.gnome.desktop.wm.preferences button-layout ":minimize,maximize,close"
    yay -S gdm-tools --noconfirm
    mkdir cosmetics
    cd cosmetics
    wget -O cosmetics.zip https://files.rp1.hu/api/public/dl/zNUqEX7O/
    unzip cosmetics.zip
    cd -
    cp -a gnome-shell /home/$USER/.local/share/
    cp -a burn-my-windows /home/$USER/.config/
    cp -a rave-pp.png #ez meg varat magara kell a helye
    cp -a view-app-grid-symbolic.svg /usr/share/icons/Yaru/scalable/actions/
    cp -a raveos-bg.png /usr/share/backgrounds/
    cp -a overrides /home/$USER/.local/share/
    cp -a .themes /home/$USER/
    cp -a .icons /home/$USER/
    dconf load / < raveui-*
    set-gdm-theme set Yaru-purple-dark /usr/share/backgrounds/raveos-bg.png

    reboot